Bug 1125594 - YaST no longer have some hardcoded PNG icons (default Breeze theme)
YaST no longer have some hardcoded PNG icons (default Breeze theme)
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Sasi Olin
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-15 11:58 UTC by Mindaugas Baranauskas
Modified: 2021-02-18 14:33 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
YaST2 Checkmedia - openSUSE Tumbleweed (100.43 KB, image/png)
2019-02-15 11:58 UTC, Mindaugas Baranauskas
Details
Language flags Tumbleweed (67.17 KB, image/png)
2019-02-15 12:00 UTC, Mindaugas Baranauskas
Details
Repositories - Tumbleweed (110.87 KB, image/png)
2019-02-15 12:09 UTC, Mindaugas Baranauskas
Details
Repositories - GPG keys - Tumbleweed (108.02 KB, image/png)
2019-02-15 12:10 UTC, Mindaugas Baranauskas
Details
Checkmedia - openSUSE 42.3 (53.71 KB, image/png)
2019-02-15 12:47 UTC, Mindaugas Baranauskas
Details
Snapper from some unknown older openSUSE version (123.94 KB, image/png)
2019-02-15 12:49 UTC, Mindaugas Baranauskas
Details
Language - openSUSE 42.3 (55.71 KB, image/png)
2019-02-15 12:52 UTC, Mindaugas Baranauskas
Details
Repositories - openSUSE 42.3 (159.96 KB, image/png)
2019-02-15 13:23 UTC, Mindaugas Baranauskas
Details
Repositories - GPG keys - openSUSE 42.3 (229.11 KB, image/png)
2019-02-15 13:26 UTC, Mindaugas Baranauskas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mindaugas Baranauskas 2019-02-15 11:58:12 UTC
Created attachment 796918 [details]
YaST2 Checkmedia - openSUSE Tumbleweed

I see some icons inside openened YaST modules in openSUSE 42.3/15.0.
But in openSUSE TW I no longer see them.




I see hardcoded PNG incons in YaST code, for example:

/usr/share/YaST2/lib/packager/clients/repositories.rb:359

          Ops.add(Ops.add("<IMG SRC=\"", Directory.icondir), "/22x22/apps/"),
          ["cd", "dvd", "iso"].include?(schema) ? "yast-cd_update.png" : "yast-http-server.png"


/usr/share/YaST2/lib/y2packager/clients/inst_productsources.rb:664

      icons_for_progress = ["yast-network.png", "yast-restore.png"]


/usr/share/YaST2/lib/y2packager/clients/inst_productsources.rb:679

          "yast-sw_source.png"


/usr/share/YaST2/include/checkmedia/ui.rb:81

                "/22x22/apps/yast-checkmedia.png\">&nbsp;&nbsp;&nbsp;"


/usr/share/YaST2/include/packager/key_manager_dialogs.rb:87

          "/22x22/apps/yast-security.png\">&nbsp;&nbsp;&nbsp;"


/usr/share/YaST2/modules/Language.rb:1291
/usr/share/YaST2/modules/Language.rb:1307

                    "/flag.png"


/usr/share/YaST2/modules/Snapper.rb:556

      def icon()
        if @status == 0
          return "yast-gray-dot.png"
        elsif created?
          return "yast-green-dot.png"
        elsif deleted?
          return "yast-red-dot.png"
        else
          return "yast-yellow-dot.png"
        end
      end


I am not sure about mentioning PNG in comments:

/usr/share/YaST2/modules/DefaultDesktop.rb:133
    #              // filename from the 64x64 directory of the current theme (without .png suffix)
    #              "icon" : "some-icon",


/usr/share/YaST2/modules/Icon.rb:67

    # @param [String] icon_type (one of known types or just an image name without a 'png' suffix)
    #        Known icon types are "warning", "info", and "error"
Comment 1 Mindaugas Baranauskas 2019-02-15 12:00:58 UTC
Created attachment 796919 [details]
Language flags Tumbleweed

no more language flags
Comment 2 Mindaugas Baranauskas 2019-02-15 12:09:39 UTC
Created attachment 796920 [details]
Repositories -  Tumbleweed

I see some rectangle instead of icon
Comment 3 Mindaugas Baranauskas 2019-02-15 12:10:13 UTC
Created attachment 796921 [details]
Repositories - GPG keys - Tumbleweed
Comment 4 Mindaugas Baranauskas 2019-02-15 12:47:31 UTC
Created attachment 796926 [details]
Checkmedia - openSUSE 42.3
Comment 5 Mindaugas Baranauskas 2019-02-15 12:49:54 UTC
Created attachment 796927 [details]
Snapper from some unknown older openSUSE version
Comment 6 Mindaugas Baranauskas 2019-02-15 12:52:10 UTC
Created attachment 796928 [details]
Language - openSUSE 42.3
Comment 7 Mindaugas Baranauskas 2019-02-15 13:23:35 UTC
Created attachment 796933 [details]
Repositories - openSUSE 42.3
Comment 8 Mindaugas Baranauskas 2019-02-15 13:26:40 UTC
Created attachment 796934 [details]
Repositories - GPG keys - openSUSE 42.3
Comment 9 Christoph Feck 2019-02-15 14:21:44 UTC
Also, in the yast package manager (Qt5 version), all icons for the package status (update, keep, delete, etc.) are the same. Installing breeze5-icons did not help (I usually only have oxygen-icons installed).
Comment 10 Mindaugas Baranauskas 2019-02-15 14:34:26 UTC
(In reply to Christoph Feck from comment #9)
> Also, in the yast package manager (Qt5 version), all icons for the package
> status (update, keep, delete, etc.) are the same. Installing breeze5-icons
> did not help (I usually only have oxygen-icons installed).

Your mentioned bug indicates, that your administrator don't use Breeze icons at all - here all status icons are different. Please close YaST, remove 
/root/.cache/icon-cache.kcache
and look again.

Regarding Oxygen theme: it is tracked and will be fixed with boo#1125450
Comment 11 Christoph Feck 2019-02-15 14:47:15 UTC
You are right, my root account was also configured to use oxygen icons. My impression was that the names were changed, and it could fall back to breeze icons automatically when installed.

Configuring the root account to use breeze icons fixed the symbols for me.
Comment 12 Mindaugas Baranauskas 2019-02-15 14:53:22 UTC
(In reply to Christoph Feck from comment #11)
> Configuring the root account to use breeze icons fixed the symbols for me.

But it will not fix bug about missing hardcoded PNG icons, mentioned in comment#1
Comment 13 Sasi Olin 2019-02-15 15:42:46 UTC
As for packager, checkmedia and other modules that display icons inside richtext, there is no alternative to hicolor sourcing yet, so they are not displayed.

The rest of icons, yeah, I didn't notice those having the additional .png, however I don't think that flag issue is necessarily a result of that, I will dig on some more to see what is causing that to happen though.
Comment 14 Sasi Olin 2019-07-14 18:43:30 UTC
Some changes to the modules were made to make this progress further, libyui needs patches to ways it displays icons to be able to display them still.